SDL_guid.h File Reference
`#include "SDL_stdinc.h"`
`#include "SDL_error.h"`
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_guid.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_GUID

## Functions

void | SDL_GUIDToString (SDL_GUID guid, char *pszGUID, int cbGUID)
SDL_GUID | SDL_GUIDFromString (const char *pchGUID)

## Function Documentation

## SDL_GUIDFromString()

SDL_GUID SDL_GUIDFromString | ( | const char * | pchGUID | ) |

extern

Convert a GUID string into a SDL_GUID structure.

Performs no error checking. If this function is given a string containing an invalid GUID, the function will silently succeed, but the GUID generated will not be useful.

Parameters

  pchGUID | string containing an ASCII representation of a GUID.

Returns
  a SDL_GUID structure.

Since
  This function is available since SDL 2.24.0.

See also
  SDL_GUIDToString

## SDL_GUIDToString()

void SDL_GUIDToString | ( | SDL_GUID | guid,
|  | char * | pszGUID,
|  | int | cbGUID )

extern

Get an ASCII string representation for a given SDL_GUID.

You should supply at least 33 bytes for pszGUID.

Parameters

  guid | the SDL_GUID you wish to convert to string.
  pszGUID | buffer in which to write the ASCII string.
  cbGUID | the size of pszGUID.

Since
  This function is available since SDL 2.24.0.

See also
  SDL_GUIDFromString